# class FlashAudioContext

#### package lime.media

Available on all platforms

### Constructor

###

`new ()`

### Methods

###

`close (buffer:AudioBuffer):Void`

###

`createBuffer (?stream:Dynamic, ?context:Dynamic):AudioBuffer`

###

`extract (buffer:AudioBuffer, target:Dynamic, length:Float, startPosition:Float = -1):Float`

###

`getBytesLoaded (buffer:AudioBuffer):UInt`

###

`getBytesTotal (buffer:AudioBuffer):Int`

###

`getID3 (buffer:AudioBuffer):Dynamic`

###

`getIsBuffering (buffer:AudioBuffer):Bool`

###

`getIsURLInaccessible (buffer:AudioBuffer):Bool`

###

`getLength (buffer:AudioBuffer):Float`

###

`getURL (buffer:AudioBuffer):String`

###

`load (buffer:AudioBuffer, stream:Dynamic, ?context:Dynamic):Void`

###

`loadCompressedDataFromByteArray (buffer:AudioBuffer, bytes:Dynamic, bytesLength:UInt):Void`

###

`loadPCMFromByteArray (buffer:AudioBuffer, bytes:Dynamic, samples:UInt, ?format:String, stereo:Bool = true, sampleRate:Float = 44100):Void`

###

`play (buffer:AudioBuffer, startTime:Float = 0, loops:Int = 0, ?sndTransform:Dynamic):Dynamic`